package OnlineShop.domain.JTest;

import static org.junit.jupiter.api.Assertions.*;
import java.io.FileNotFoundException;
import org.junit.jupiter.api.*;
import OnlineShop.domain.*;
import OnlineShop.domain.ExceptionsKlassen.*;

class JTest {
	Kaufhalle kaufhalle;
	@BeforeEach
	void setUp() throws Exception {
		kaufhalle = new Kaufhalle();
	}

	@Test
	void test() throws FileNotFoundException, ProduktNichtGefundenException, LeereEingabeException {
		
		assertTrue(kaufhalle.produkteLaden());
		
//		assertTrue(kaufhalle.addProduktZuWarenkorb("Hut"));
//		assertTrue(kaufhalle.addProduktZuWarenkorb("Gieskanne"));
		assertEquals(2,kaufhalle.getAnzahlDerAusgewählteProdukte());
		kaufhalle.getKundenDaten("Obai", "Mannheim");
		kaufhalle.sendBestellung();
		
		
	}

}
